/**
 * Copyright (c) 2011 Metacert. All rights reserved.
 */

Components.utils.import("resource://metacert/common/common.js");
Components.utils.import("resource://metacert/progressListener.js");

MetacertChrome.BlockDialog = {
  PREF_METACERT_ENABLED : Metacert.PrefBranch + "blocking.enabled",
  /* Logger for this object. */
  _logger : null,
  _blockedOn : true,

  /**
   * Initializes the object.
   */
  init : function() {
    this._logger = Metacert.getLogger("MetacertChrome.BlockDialog");
    this._logger.trace("init");
    //window.document.getElementById("metacert-bd-url").textContent =
    //  window.arguments[1];
  },

  /**
   * Tell the progress listener to block the page
   */
  blockPage : function() {
    if (Metacert.Application.prefs.get(this.PREF_METACERT_ENABLED).
      value == true) {
      Metacert.ProgressListener.blockPage(window.arguments[0]);
    }
    window.close();
  }
};

window.addEventListener(
  "load", function() { MetacertChrome.BlockDialog.init(); }, false);
